<template>
	<view>
		<image class="width100" mode="widthFix" src="../../../static/img/unionimg/upay3.jpg"></image>
		<image class="width94 mart20" mode="widthFix" src="../../../static/img/unionimg/upay4.jpg"
			@click="jumprecent(1)"></image>
		<image class="width94 mart10" mode="widthFix" src="../../../static/img/unionimg/upay2.jpg"
			@click="jumprecent(2)"></image>
		<image class="width94 mart10" mode="widthFix" src="../../../static/img/unionimg/upay1.jpg"
			@click="jumprecent(3)"></image>
		<wybPopup ref="popup" type="center" height="850" width="600" bgColor="" radius="6" :showCloseIcon="true">
			<image class="popImg" :src="imageUrl+imgadres1"></image>
		</wybPopup>
	</view>
</template>

<script>
	import {
		getCmsContent
	} from '../../../Utils/Api.js'
	import wybPopup from '../../../components/wyb-popup/wyb-popup.vue';
	let app = getApp();
	export default {
		components: {
			wybPopup
		},
		data() {
			return {
				imageUrl: app.globalData.imgUrl,
				imgadres1: '',
			}
		},
		onLoad() {
			this.getCmsAactibity();
		},
		methods: {
			//跳转充值
			jumprecent(item) {
				uni.navigateTo({
					url: '../recharge-centre/recharge-centre?id=' + item
				})
			},
			//查询弹窗
			getCmsAactibity() {
				let params = {
					regionId: app.globalData.cityId,
					categoryCode: 'CMS_TELEPHONE_POP_UP'
				}
				getCmsContent(params).then(res => {
					if (res.return_code == '000000' && res.return_data != '') {
						//弹窗首页广告
						this.imgadres1 = res.return_data[0].imgData;
						this.showPopup();
					}
				});
			},
			//显示弹出
			showPopup() {
				this.$refs.popup.show();
			}
		}
	}
</script>
<style lang="scss">
	.popImg {
		width: 100%;
		height: 430px;
	}
</style>
